htpasswd(1)

NAME
htpasswd - Create and update user authentication files

SYNOPSIS
htpasswd [ -c ] passwdfile username

DESCRIPTION
htpasswd is used to create and update the flat-files used to store usernames and password for basic authentication of HTTP users. Resources available from the httpd Apache web server can be restricted to just the users listed in the files created by htpasswd. This program can only be used when the usernames are stored in a flat-file. To use a DBM database see dbmmanage.

This manual page only lists the command line arguments. For details of the directives necessary to configure user authentication in httpd see the Apache manual, which is part of the Apache distribution or can be found at http://www.apache.org/.

OPTIONS

-c  Create the passwdfile. If passwdfile already exists, it is deleted first.

passwdfile
    Name of the file to contain the user name and password. If -c is given, this file is created if it does not already exist, or deleted and recreated if it does exist.

username
    The username to create or update in passwdfile. If username does not exist is this file, an entry is added. If it does exist, the password is changed.

SEE ALSO
httpd(8)